org.jboss.netty.handler.timeout

## Class ReadTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.netty.channel.ChannelException
        - - org.jboss.netty.handler.timeout.TimeoutException
          - - org.jboss.netty.handler.timeout.ReadTimeoutException

All Implemented Interfaces:
  Serializable

    public class ReadTimeoutException
    extends TimeoutException

A `TimeoutException` raised by `ReadTimeoutHandler` when no data was read within a certain period of time.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReadTimeoutException()` Creates a new instance.
`ReadTimeoutException(String message)` Creates a new instance.
`ReadTimeoutException(String message, Throwable cause)` Creates a new instance.
`ReadTimeoutException(Throwable cause)` Creates a new instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReadTimeoutException

    public ReadTimeoutException()

Creates a new instance.

#### ReadTimeoutException

    public ReadTimeoutException(String message,
                        Throwable cause)

Creates a new instance.

#### ReadTimeoutException

    public ReadTimeoutException(String message)

Creates a new instance.

#### ReadTimeoutException

    public ReadTimeoutException(Throwable cause)

Creates a new instance.